Bug 751418 - Finish button should be disabled / grayed out on final step of resource import/create wizards until the config editor reports the config as being valid
Finish button should be disabled / grayed out on final step of resource impor...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2011-11-04 12:52 EDT by Ian Springer
Modified: 2015-02-01 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:09:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-11-04 12:52:33 EDT
The attached screenshot shows the Finish button is currently enabled even when the configuration specified by the user is not valid.

This may also be an issue for other wizards that embed config editors. Whoever works on it should check all other wizards in coregui for similar issues.
Comment 1 Mike Foley 2011-11-09 11:15:39 EST
ian ... do you still have the screenshot?
Comment 2 Ian Springer 2011-12-07 13:59:41 EST
Done in master - http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=6245b0d.
Comment 3 Sunil Kondkar 2011-12-16 01:41:04 EST
Verified on master build#836 (Version: 4.3.0-SNAPSHOT Build Number: 3300dff)

Verified that the 'Finish' button is disabled for invalid configuration and gets enabled when user enters a valid configuration in following wizards:

Import resource wizard in JBossAS and JBossAS5 server.
Import resource wizard in platform.
Create new resource wizard in JBossAS, JBossAS5 resources and JBossAs7 domaincontroller.
Samba resource-Create child wizard.
Comment 6 Heiko W. Rupp 2013-08-31 06:09:09 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.